﻿

using System;

namespace Model
{
    /// <summary>
    /// Melee Physical Weapon.
    /// </summary>

    /**
    * This class represents a melee weapon.
    * It implements the Weapon interface.
    */
    class BronzeSword : Weapon
    {
        public int modStr { get; }
        public int modInt { get; }
        public int modSkill { get; }
        public string name { get; }
        public int[] range { get; }

        /**
        Constructs a Bronze Sword.
        */
        public BronzeSword()
        {
            modStr = 5;
            modSkill = 5;
            modInt = 0;
            range = new int[2] { 1, 1 };
            name = "Bronze Sword";
        }
    }
}
