﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;


namespace View
{
    /// <summary>
    /// How to Play Menu
    /// </summary>
    public partial class HowToPlay : Form
    {
        public bool quit = false;   // boolean that checks is quit button is clicked
        public bool next = false;   // boolean that checks is next button is clicked

        /**
        Constructor for HowToPlay window
        */
        public HowToPlay()
        {
            InitializeComponent();
        }
        /**
        checks if user clicks quit
        * @params sender the object to check
        * @params e The event to check for
        */
        private void Exit_Click(object sender, EventArgs e)
        {
            quit = true;
        }
        /**
        checks if Game State is no longer inside How To Play
        */
        public void setQuitFalse()
        {
            quit = false;
        }
        /**
        returns if quit button is currently clicked
        */
        public Boolean getQuit()
        {
            return quit;
        }
        /**
        checks if user clicks quit
        * @params sender the object to check
        * @params e The event to check for
        */
        private void next_Click(object sender, EventArgs e)
        {
            next = true; // check if user clicks next
        }
        /**
        checks if Game State is no longer inside How To Play
        */
        public void setNextFalse()
        {
            next = false;
        }
        /**
        returns if quit button is currently clicked
        */
        public Boolean getNext()
        {
            return next;
        }
    }
}
