﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace Model
{
    /// <summary>
    /// Ranged physical Weapon.
    /// </summary>

    /**
    * This class represents a ranged weapon.
    * It implements the Weapon interface.
    */
    class LongBow : Weapon
    {
        public int modStr { get; }
        public int modInt { get; }
        public int modSkill { get; }
        public string name { get; }
        public int[] range { get; }

        /**
        Constructs a Long Bow.
        */
        public LongBow()
        {
            modStr = 7;
            modSkill = 8;
            modInt = 0;
            range = new int[2] { 2, 3 };
            name = "Long Bow";
        }
    }
}



